/*GENERAL STYLES*/
*{
  
    box-sizing: border-box;
}
html{
    font-size:62.5%;
}
body{
    font-size:1.6rem;
    font-family: 'Open Sans', sans-serif;
   margin:0;
   padding:0;
 /*  background-color: hsl(257, 27%, 26%);*/
   
}
main{
    position:relative;
    transition:transform .5s ease-in;
   
}

/*==================================NAVIGATION=====================================*/
nav{
    display:flex;
    justify-content: space-around;
    color:white;
    padding-top: 1.5%;
    /* transition: all ease 0.5s; */
}
/* nav:hover{
    background-color: #EFF1F7;
    
} */
.brand_name{
    width:20%;
    text-align: center;
    align-self: center;
    font-weight:bold;
    font-size:3.0rem;
    color:black;
}
.mobile-nav-links{
    display:flex;
    width:100%;
    justify-content: space-between;
}
.mobile-nav-links li{
    list-style: none;
    width:50%;
}
.mobile-nav-links li a{
    text-decoration: none;
}
.nav-links-left{
    display:flex;
    width:30%;
    justify-content: space-around;
   
}
.nav-links-right{
    display:flex;
    width:30%;
    justify-content: space-around;
    padding-right:5%;
}
.signup{
    background-color:hsl(180, 66%, 49%);
    padding:4% 20%;
    border-radius:30px;
    color:white;
}
.signup:hover{
    background-color: rgb(155, 227, 227);
}
.burger{
    display:none;
}
.burger div{
    width:25px;
    height:2px;
    background-color: black;
    margin:3px;
}
/*================================HERO SECTION===================*/
#hero{
    display:flex;
    align-items: center;
}
.call-to-action-text{
    margin-left:10%;
    height:auto;
}
.call-to-action-text h1{
    font-size:5.0rem;
    color: hsl(260, 8%, 14%);
    font-family: 'Poppins', sans-serif;
    line-height: 1.3;
}
.call-to-action-text p{
    width:90%;
    color:hsl(257, 7%, 63%);
    padding-bottom: 30px;
    line-height:2.4;
}
.call-to-action-text a{
    background-color:hsl(180, 66%, 49%);
    padding:2% 10%;
    border-radius:30px;
    color:white;
    text-decoration: none;
    
}
.call-to-action-text a:hover{
    background-color: rgb(155, 227, 227);
}

/*===========================SHORT LINK SECTION========*/
#short{
    position:relative;
    
}
.shorten-link-container{
    transform:translateY(110px);
    margin:2% 10%;
    padding:3% 6%;
    z-index:4;
    position:relative;
    background-color:  hsl(257, 27%, 26%);
    background-image: url(./url-shortening-api-master/images/bg-shorten-desktop.svg);
}
.input-field-container{
    display:flex;
    position:relative;
    /*z-index:2;*/
    width:80%;
    justify-content: space-around;
    margin:0 auto;
}
input{
    padding:2% 5%;
    width:80%;
    /*z-index:99999;*/
    outline:none;
    border:none;
    border-radius:10px;
}
.input-field-container button{
    background-color:hsl(180, 66%, 49%);
    padding:1% 3%;
    border-radius:10px;
    color:white;
    border:none;
    outline:none;
  
}
::placeholder{
    color: hsl(0, 0%, 75%);
}
.input-field-container button:hover{
    cursor:pointer;
}

/* =========Error Message======= */
.msg{
    margin-left: 0;
    padding: 0;
    font-size: smaller;
    position: absolute;
    top: 60%;
    right: 73.5%;
    color: rgb(250, 70, 70);
}
/* ==========END========== */

/* SHORTENING */
/* .result .item {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    background-color: #fff;
    margin-inline: auto;
    border: 1px solid hsl(180, 66%, 49%);
    margin-bottom: 1%;
    width: 80%;
  }
  .newUrl-btn {
    padding: 4px 5px;
    border-radius: 0.2rem;
    color: #fff;
    font-size: 2rem;
    text-align: center;
    background: hsl(180, 66%, 49%);
    cursor: pointer;
    outline: none;
    width: 120px;
    border: none;
    margin-left: 40px;
  } 

/* =========Error Message======= */
.msg{
    margin-left: 0;
    padding: 0;
    font-size: smaller;
    position: absolute;
    top: 60%;
    right: 73.5%;
    color: rgb(250, 70, 70);
}

/* ==========END========== */



/*======================ADVANCED STATISTICS============================*/
#statistics{
    position:relative;
    z-index:1;
    background-color: hsl(0, 22%, 95%);
  margin-bottom: 0;
    padding:2.5% 0; /*10 0*/
    width:100%;
}

/* =====================SHORTENED LIST======================= */
.shorten-list{
    width: 80%;
    margin: 0 10%;
}
.list{
    width: 100%;
    list-style-type: none;
    margin: auto;
    align-self: center;
}

.list .list-group{
    width: 100%;
    list-style: none;
    font-size: 12px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color:#fff;
    margin-top: 10px;
    padding: 15px 10px;
    border-radius: 5px;
    box-sizing: border-box;
    color: hsl(180, 66%, 49%);;
}

.list .list-group .btn-list{
    width: 15%;
    padding: 8px;
    border: none;
    background-color: hsl(180, 66%, 49%);
    font-size: 14px;
    color: rgb(203, 240, 237);
    border-radius:5px;
    transition: all ease-in-out 0.5s;
}

.list .list-group .btn-list:hover{
    background-color: rgba(9, 221, 203);
    cursor: pointer;
}
.list-group p{
    font-size: 19px;
}
.list-group .btn-del{
    width: 15%;
    padding: 8px;
    border: none;
    background-color: red;
    font-size: 14px;
    color: rgb(203, 240, 237);
    border-radius:5px;
    transition: all ease-in-out 0.5s;
}
.list-group .btn-del:hover{
    background-color: rgb(229, 165, 165);
}
/* ==========END========= */

#statistics h1{
    text-align: center;
    margin-top: 10%;
}
#stats{
    text-align: center;
}
.flexbox-container{
    display:flex;
   justify-content: center;
}
.flexbox-item{
    background-color:white;
    border-radius: 20px;
    position:relative;
    margin:10px;
}
.flexbox-item img{
    position:absolute;
    bottom:215px;
    background-color:  hsl(257, 27%, 26%);
    padding:2% 3%;
    border-radius: 100%;
}
.flexbox-item1{
    min-height:100px;
    align-self: flex-start;
    padding:3% 2%;
    transform:translateX(25px);
}
.flexbox-item2{
    padding:3% 2%;
    min-height:100px;
    margin-top:5%;
    align-self:center;
    transform:translateX(10px);
}
.flexbox-item3{
    padding:3% 2%;
    min-height:100px;
    margin-top:15%;
    align-self: flex-end;
    transform:translateX(-10px);
}
.vertical-line{
    width:70px;
    height:10px;
    background-color: hsl(180, 66%, 49%);
    position:relative;
    right:2px;
    top: 150px;
    transform:translateX(20px);
}
.vertical-line-2{
    position:relative;
    top:200px;
    width:70px;
    height:10px;
    background-color: hsl(180, 66%, 49%);
}
.flexbox-item p{
    color:hsl(257, 7%, 63%);
    line-height:1.7;
}
.flexbox-item h2{
    color: hsl(260, 8%, 14%);
}
/*=============BOOST LINK===================*/
.boost-link-container{
    padding:5% 0;
    text-align: center;
    position:relative;
    background-color:  hsl(257, 27%, 26%);
    background-image: url(./url-shortening-api-master/images/bg-boost-desktop.svg);
}
.boost-link-container h1{
    color:white;
    font-size:4.0rem;
    font-weight:bold;
    margin:0;
}
.boost-link-container button{
    background-color:hsl(180, 66%, 49%);
    padding:1% 3%;
    border-radius:30px;
    color:white;
    border:none;
    outline:none;
   width:15%;
   margin-top:2%;
   
}
.swiper-pagination{
    
    position:relative;
   
}
.boost-link-container button:hover{
    background-color:hsl(180, 9%, 77%) ;
}
#footer{
    background-color: black;
    color:white;
    padding:2% 3%;
}
.footer-container{
    color:white;
    display:grid;
    grid-template-columns: repeat(5,1fr);
}
.socials{
    width:80%;
  
}
.fa-brands{
    margin-right:5%;
}
.fa-facebook-f{
    padding:1% 2%;
    background-color: white;
    color:black;
}

/*==========================MEDIA QUERIES========================================*/

@media (max-width:280px){
    nav{
        position:relative;
        justify-content: space-between;
        color:blue;
    }
    .brand_name{
        margin-left:5%;
    }
    .mobile-nav-links{
     padding-bottom:5%;
      background-color:hsl(257, 27%, 26%);
        width:80%;
        margin-top:5%;
        border-radius: 10px;
        position:absolute;
        right:40px;
        top:50%;
        flex-direction: column;
        transform:translateY(-280px);
        transition:transform .5s ease-in;
    }
    .mobile-nav-links li{
        list-style: none;
        width:100%;
        line-height: 2;
        
    }
    .mobile-nav-links li a{
        color:white;
    }
    .nav-links-left{
        flex-direction:column;
        margin-bottom:0;
    }
    .nav-links-right{
        margin-top:0;
        flex-direction:column;
        width:100%;
    }
    .signup{
        background-color:hsl(180, 66%, 49%);
        padding:2% 10%;
        border-radius:30px;
        color:white;
        width:30%;
        font-size:1.1rem;
        margin-top:3%;
       
    }
    .burger{
        display:unset;
        margin-top:3%;
        margin-right:5%;
    }
    #hero{
        flex-direction:column-reverse;
    }
    #hero img{
        width:270px;
    }
    .call-to-action-text h1{
        font-size:4.0rem;
       
    }
    .call-to-action-text p{
        margin-bottom:5%;
        line-height: 1.5;
    }
    .call-to-action-text a{
        padding:2% 10%;
    }
    .shorten-link-container{
        transform:translateY(60px);
        margin:12% 5%;
    }
    #statistics{
        padding-top:30%;
    }

    /*==========SHORTENED LIST==========*/
    .list .list-group .btn-list{
        width: 15%;
        padding: 8px;
        border: none;
        background-color: hsl(180, 66%, 49%);
        font-size: 8px;
        color: rgb(203, 240, 237);
        border-radius:5px;
    }
    .list-group .btn-del{
        width: 15%;
        padding: 8px;
        border: none;
        background-color: red;
        font-size: 8px;
        color: rgb(203, 240, 237);
        border-radius:5px;

    }
    /*==========END==========*/

    #stats{
        color:hsl(257, 7%, 63%);
        padding-bottom:15%;
        width:70%;
        margin:0 auto;
    }
    .input-field-container button{
        background-color:hsl(180, 66%, 49%);
        padding:3% 6%;
        width:80%;
        border-radius: 5px;
       
        padding:5% 0%;
        width:120%;
    }
    .input-field-container{
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        height:auto;
    }
    input{
        border-radius:5px;
        margin-bottom:8%;
        padding:5% 2%;
        width:120%;
    }

/* For the error message */
.msg{
    margin-left: 0;
    padding: 0;
    font-size: 1rem;
    position: absolute;
    top: 29%;
    right: 49.5%;
    color: rgb(250, 70, 70);
}
/* End */

    .flexbox-container{
        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .flexbox-item1{
       width:70%;
        padding:3% 1%;
        justify-content: center;
        align-self: center;
        text-align: center; 
         transform:translateX(10px);
    }
    .flexbox-item2{
        padding:2% 1%;
        width:70%;
        text-align: center;
        transform:translateX(10px);
    }
    .flexbox-item3{
        padding:3% 2%;
        width:70%;
        align-self: center;
        text-align: center;
        position:relative;
        bottom:30px;
        transform:translateX(10px);

    }
    .flexbox-item img{
        position:absolute;
        bottom:200px;
        background-color:  hsl(257, 27%, 26%);
        padding:2% 3%;
        border-radius: 100%;
        right:40%;
    }
    .flexbox-item p{
        color:hsl(257, 7%, 63%);
        line-height:1.7;
    }
    .flexbox-item h2{
        color: hsl(260, 8%, 14%);
    }
    .vertical-line{
        width:10px;
        height:40px;
        background-color: hsl(180, 66%, 49%);
        position:relative;
        right:10px;
        top: -10px;
    }
    .vertical-line-2{
        position:relative;
        left:5px;
        top:-10px;
        width:10px;
        height:50px;
        background-color: hsl(180, 66%, 49%);
    }
    .icon{
        position:relative;
        top:-30px;
    }
    .icon2{
        position:relative;
        top:-50px;
    }
    .icon-3{
        top:-30px;
    }
    .boost-link-container h1{
        font-size:2.0rem;
    }
    .boost-link-container button{
        width:30%;
        padding:2% 0;
    }
    .footer-container{
        grid-template-columns: 1fr;
        text-align: center;
        padding-bottom:15%;
    }
    .footer-container p{
        color:hsl(0, 0%, 75%);
    }
    .socials{
        width:80%;
        margin:0 auto;
    }
}

@media only screen and (max-width: 480px) and (min-width: 320px){
    nav{
        position:relative;
        justify-content: space-between;
        color:blue;
    }
    .brand_name{
        margin-left:5%;
    }
    .mobile-nav-links{
     padding-bottom:5%;
      background-color:hsl(257, 27%, 26%);
        width:80%;
        margin-top:5%;
        border-radius: 10px;
        position:absolute;
        right:40px;
        top:50%;
        flex-direction: column;
        transform:translateY(-280px);
        transition:transform .5s ease-in;
    }
    .mobile-nav-links li{
        list-style: none;
        width:100%;
        line-height: 2;
        
    }
    .mobile-nav-links li a{
        color:white;
    }
    .nav-links-left{
        flex-direction:column;
        margin-bottom:0;
    }
    .nav-links-right{
        margin-top:0;
        flex-direction:column;
        width:100%;
    }
    .signup{
        background-color:hsl(180, 66%, 49%);
        padding:2% 10%;
        border-radius:30px;
        color:white;
        width:30%;
        font-size:1.1rem;
        margin-top:3%;
       
    }
    .burger{
        display:unset;
        margin-top:3%;
        margin-right:5%;
    }
    #hero{
        flex-direction:column-reverse;
        margin-bottom: 5%;
        align-items: center;
    }
    #hero img{
        width:300px;
    }
    .call-to-action-text h1{
        font-size:4.0rem;
        text-align: center;
       
    }
    .call-to-action-text p{
        margin-bottom:5%;
        line-height:1.5;
        text-align: center;
       
    }
    .call-to-action-text a{
        padding:2% 10%;
        margin-left:25%;
     
    }
    .shorten-link-container{
        transform:translateY(60px);
        margin:12% 5%;
    }
    #statistics{
        padding-top:12%; /*35%*/
    }

    /*==========SHORTENED LIST==========*/
    .list .list-group{
        width: 100%;
        list-style: none;
        font-size: 12px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        background-color:#fff;
        margin-top: 5px;
        padding: 5px 10px;
        border-radius: 5px;
        box-sizing: border-box;
        color: hsl(180, 66%, 49%);;
    }

    .list .list-group .btn-list{
        width: 15%;
        padding: 8px;
        border: none;
        background-color: hsl(180, 66%, 49%);
        font-size: 8px;
        color: rgb(203, 240, 237);
        border-radius:5px;
    }

    .list-group .btn-del{
        width: 15%;
        padding: 8px;
        border: none;
        background-color: red;
        font-size: 8px;
        color: rgb(203, 240, 237);
        border-radius:5px;

    }

    /*==========END==========*/

    #stats{
        color:hsl(257, 7%, 63%);
        padding-bottom:15%;
        width:70%;
        margin:0 auto;
    }
    .input-field-container button{
        background-color:hsl(180, 66%, 49%);
        padding:3% 6%;
        width:80%;
        border-radius: 5px;
        width:120%;
        padding:5% 0;
    }
    .input-field-container{
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        height:auto;

    }
    input{
        border-radius:5px;
        margin-bottom:5%;
        width:120%;
        padding:5% 10%;
    }

    /* For the error message */
    .msg{
        margin-left: 0;
        padding: 0;
        font-size: 0.8rem;
        position: absolute;
        top: 39%;
        right: 55.5%;
        color: rgb(250, 70, 70);
    }
    /* End */


    .flexbox-container{
        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .flexbox-item1{
       width:70%;
        padding:3% 1%;
        justify-content: center;
        align-self: center;
        text-align: center; 
         transform:translateX(10px);
    }
    .flexbox-item2{
        padding:2% 1%;
        width:70%;
        text-align: center;
        transform:translateX(10px);
    }
    .flexbox-item3{
        padding:3% 2%;
        width:70%;
        align-self: center;
        text-align: center;
        position:relative;
        bottom:30px;
        transform:translateX(10px);

    }
    .flexbox-item img{
        position:absolute;
        bottom:200px;
        background-color:  hsl(257, 27%, 26%);
        padding:2% 3%;
        border-radius: 100%;
        right:40%;
    }
    .flexbox-item p{
        color:hsl(257, 7%, 63%);
        line-height:1.7;
    }
    .flexbox-item h2{
        color: hsl(260, 8%, 14%);
    }
    .vertical-line{
        width:10px;
        height:40px;
        background-color: hsl(180, 66%, 49%);
        position:relative;
        right:10px;
        top: -10px;
    }
    .vertical-line-2{
        position:relative;
        left:5px;
        top:-10px;
        width:10px;
        height:50px;
        background-color: hsl(180, 66%, 49%);
    }
    .icon{
        position:relative;
        top:-30px;
    }
    .icon2{
        position:relative;
        top:-50px;
    }
    .icon-3{
        top:-30px;
    }
    .boost-link-container h1{
        font-size:2.0rem;
    }
    .boost-link-container button{
        width:30%;
        padding:2% 0;
    }
    .swiper-pagination{
      display:none;
    }
    .footer-container{
        grid-template-columns: 1fr;
        text-align: center;
        padding-bottom:15%;
    }
    .footer-container p{
        color:hsl(0, 0%, 75%);
    }
    .socials{
        width:80%;
        margin:0 auto;
    }



    /* LINK SHORTENING */
    /* .short{
        margin-top: 30px;
    }
    .result .item{
        width: 100%;
        justify-content: space-around;
        margin-top: 60px;
    } */

}

/*========================IPAD SIZES==========================*/
@media only screen and (max-width: 768px) and (min-width: 481px) {
    nav{
        position:relative;
        justify-content: space-between;
    }
    .brand_name{
        margin-left:5%;
    }
    .brand_name{
        margin-left:5%;
    }
    .mobile-nav-links{
        padding-bottom:5%;
        background-color:hsl(257, 27%, 26%);
        width:80%;
        margin-top:2%;
        border-radius: 10px;
        position:absolute;
        right:40px;
        top:50%;
        flex-direction: column;
        transform:translateY(-280px);
        transition:transform .5s ease-in;
    }
    .mobile-nav-links li{
        list-style: none;
        width:100%;
        line-height: 2;
           
    }
    .mobile-nav-links li a{
        color:white;
    }
    .nav-links-left{
        flex-direction:column;
        margin-bottom:0;
    }
    .nav-links-right{
        margin-top:0;
        flex-direction:column;
        width:100%;
    }
    .signup{
        background-color:hsl(180, 66%, 49%);
        padding:2% 10%;
        border-radius:30px;
        color:white;
        width:30%;
        font-size:1.1rem;
        margin-top:3%;
          
    }
    .burger{
        display:unset;
        margin-top:3%;
        margin-right:5%;
    }
    #hero{
        flex-direction:column-reverse;
        margin-bottom: 5%;
    }
    #hero img{
        width:400px;
    }
    .call-to-action-text h1{
        font-size:4.0rem;
    }
    .call-to-action-text p{
        margin-bottom:5%;
    }
    .call-to-action-text a{
        padding:2% 10%;
    }
    .shorten-link-container{
        transform:translateY(100px);
    }
    #statistics{
        padding-top:13%;  /*20*/
    }
    #stats{
        color:hsl(257, 7%, 63%);
        padding-bottom:15%;
        width:70%;
        margin:0 auto;
    }
    .input-field-container button{
        background-color:hsl(180, 66%, 49%);
        padding:3% 6%;
        width:80%;
        border-radius: 5px;
        width:120%;
        padding:5% 0%;
    }
    .input-field-container{
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        height:auto;
    }
    input{
        border-radius:5px;
        margin-bottom:8%; /*5%*/
        width:120%;
        padding:5% 2%;
    }

    /* For Error Messages */
    .msg{
        margin-left: 0;
        padding: 0;
        font-size: 1rem;
        position: absolute;
        top: 29%;
        right: 55.5%;
        color: rgb(250, 70, 70);
    }
    /* End */

    .flexbox-container{
        display:flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
  
    .flexbox-item1{
       width:70%;
        padding:3% 2%;
        align-self: center;
        text-align: center;
        transform:translateX(10px);
    }
    .flexbox-item2{
        padding:2% 2%;
        width:70%;
        text-align: center;
        transform:translateX(10px);
    }
    .flexbox-item3{
        padding:3% 2%;
        width:70%;
        align-self: center;
        text-align: center;
        position:relative;
        bottom:30px;
        transform:translateX(10px);
        transform:translateY(-35px);
    }
    .flexbox-item img{
        position:absolute;
        bottom:200px;
        background-color:  hsl(257, 27%, 26%);
        padding:2% 3%;
        border-radius: 100%;
        right:43%;
    }
    .flexbox-item p{
        color:hsl(257, 7%, 63%);
        line-height:1.7;
    }
    .flexbox-item h2{
        color: hsl(260, 8%, 14%);
    }
    .vertical-line{
        width:10px;
        height:40px;
        background-color: hsl(180, 66%, 49%);
        position:relative;
        right:9px;
        top: -10px;
    }
    .vertical-line-2{
        position:relative;
        top:-10px;
        width:10px;
        height:50px;
        background-color: hsl(180, 66%, 49%);
    }
    .icon{
        position:relative;
        top:-30px;
    }
    .icon2{
        position:relative;
        top:-60px;
       
    }
    .icon-3{
        top:-47px;
        position:relative;
      
    }
    .boost-link-container h1{
        font-size:2.0rem;
    }
    .boost-link-container button{
        width:30%;
        padding:2% 0;
    }
    .footer-container{
        grid-template-columns: 1fr;
        text-align: center;
        padding-bottom:15%;
    }
    .footer-container p{
        color:hsl(0, 0%, 75%);
    }
    .socials{
        width:80%;
        margin:0 auto;
    }
}
/*=============================LARGER SCREEN SIZES=========================*/
@media only screen and (max-width: 1024px) and (min-width: 769px){
    nav{
        position:relative;
        justify-content: space-between;
    }
    .brand_name{
        margin-left:5%;
    }
    .nav-links-left{
        display:flex;
        width:60%;
        justify-content: space-around;
    }
    .signup{
        background-color:hsl(180, 66%, 49%);
        padding:4% 20%;
        border-radius:30px;
        color:white;
        width:60%;
        font-size:1.1rem;
    }
    .nav-links-right{
        
       
        width:50%;
    }
   /* .mobile-nav-links{
        width:30%;
        position:absolute;
        right:40px;
        top:50%;
        flex-direction: column;
        transform:translateY(-150px);
    }
    .mobile-nav-links li{
        list-style: none;
        width:100%;
    }
    .nav-links-left{
        flex-direction:column;
        margin-bottom:0;
    }
    .nav-links-right{
        margin-top:0;
        flex-direction:column;
        width:100%;
    }
    .signup{
        background-color:hsl(180, 66%, 49%);
        padding:4% 20%;
        border-radius:30px;
        color:white;
        width:30%;
        font-size:1.1rem;
    }*/
    /*.burger{
        display:unset;
        margin-top:3%;
        margin-right:5%;
    }*/
    #hero{
        flex-direction:column-reverse;
        margin-top: 5%;
    }
    #hero img{
        width:400px;
    }
    .call-to-action-text h1{
        font-size:4.0rem;
    }
    .call-to-action-text p{
        margin-bottom:5%;
    }
    .call-to-action-text a{
        padding:2% 10%;
    }
    .shorten-link-container{
        transform:translateY(100px);
        margin:12% 5%;
    }
    #statistics{
        padding-top:7%; /*20%*/
    }
    #stats{
        color:hsl(257, 7%, 63%);
        padding-bottom:15%;
        width:70%;
        margin:0 auto;
    }
    .input-field-container button{
        background-color:hsl(180, 66%, 49%);
        padding:3% 6%;
        width:80%;
        border-radius: 5px;
    }
    .input-field-container{
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
        height:auto;
    }
    input{
        border-radius:5px;
        margin-bottom:5%;
    }

    /* For Error Message */
    .msg{
        margin-left: 0;
        padding: 0;
        font-size: 1.2rem;
        position: absolute;
        top: 33%;
        right: 62%;
        color: rgb(250, 70, 70);
    }
    /* End */

    .flexbox-container{
        display:flex;
    }
    .flexbox-item1{
       width:70%;
        padding:3% 2%;
        text-align: center;
    }
    .flexbox-item2{
        padding:2% 2%;
        width:70%;
        text-align: center;
    }
    .flexbox-item3{
        padding:3% 2%;
        width:70%;
        text-align: center;
    }
    .flexbox-item img{
        position:absolute;
        bottom:200px;
        background-color:  hsl(257, 27%, 26%);
        padding:2% 3%;
        border-radius: 100%;
        right:43%;
    }
    .flexbox-item p{
        color:hsl(257, 7%, 63%);
        line-height:1.7;
    }
    .flexbox-item h2{
        color: hsl(260, 8%, 14%);
    }
   
    .icon{
        position:relative;
        top:-30px;
    }
    .icon2{
        position:relative;
        top:-60px;
        
    }
    .icon-3{
        top:-47px;
    }
    .boost-link-container h1{
        font-size:2.0rem;
    }
    .boost-link-container button{
        width:30%;
        padding:2% 0;
    }
    .footer-container{
        grid-template-columns: 1fr 1fr 1fr 1fr ;
        text-align: center;
        padding-bottom:15%;
    }
    .footer-container p{
        color:hsl(0, 0%, 75%);
    }
    .socials{
        width:80%;
        margin:0 auto;
    }
}

.active{
    transform:translateY(20px);
    transition:transform .5s ease-in;
}
.main-drop{
    transform:translateY(300px);
    transition:transform .5s ease-in;
}